Summary:	LZO bindings for Python
Name:		python-lzo
Version:	1.08
Release:	12%{?dist}
Source0:	http://www.oberhumer.com/opensource/lzo/download/LZO-v1/%{name}-%{version}.tar.gz
URL:		http://www.oberhumer.com/opensource/lzo/
Patch0:		python-lzo-1.08-build-against-lzo2.patch
License:	GPLv2+
Group:		Development/Languages
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	python-setuptools
BuildRequires:	python-devel
BuildRequires:  lzo-devel

%description
Python-LZO provides Python bindings for the LZO data compression library.

%prep
%setup -q
%patch0 -p1 -b .lzo2


%build
%if 0%{?fedora} > 8
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build
%else
CFLAGS="$RPM_OPT_FLAGS" %{__python} -c 'import setuptools; execfile("setup.py")' build
%endif


%install
rm -rf $RPM_BUILD_ROOT
%if 0%{?fedora} > 8
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
%else
%{__python} -c 'import setuptools; execfile("setup.py")' install -O1 --skip-build --root %{buildroot}
%endif


%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc COPYING NEWS README
%defattr(-,root,root,-)
%{python_sitearch}/*

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.08-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.08-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.08-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.08-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.08-8
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Jan 7 2010 Huzaifa Sidhpurwala <huzaifas@fedoraproject.org> - 1.08-7
- Accommodate for changes in rpm in rawhide

* Thu Jan 7 2010 Huzaifa Sidhpurwala <huzaifas@fedoraproject.org> - 1.08-6
- Update sources to patch with upstream

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.08-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.08-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.08-3
- Rebuild for Python 2.6

* Fri Apr 4 2008 Huzaifa Sidhpurwala <huzaifas@fedoraproject.org> - 1.08-2
- Made changes so that it builds on f9 
- A couple of other changes to spec file to make it more complaint with pkg standards

* Thu Apr 3 2008 Huzaifa Sidhpurwala <huzaifas@fedoraproject.org> - 1.08-1
- Initial rebuild from Mandriva (Per Øyvind Karlsen <pkarlsen@mandriva.com>)
